%global apiversion 0.1

Summary: A library for import of Microsoft Publisher documents
Name: libmspub
Version: 0.1.4
Release: 3%{?dist}
License: MPL-2.0
URL: http://wiki.documentfoundation.org/DLP/Libraries/libmspub
Source: http://dev-www.libreoffice.org/src/%{name}/%{name}-%{version}.tar.xz
Patch3000: gcc10.patch

BuildRequires: make
BuildRequires: boost-devel gcc-c++
BuildRequires: doxygen help2man
BuildRequires: pkgconfig(icu-i18n) pkgconfig(librevenge-0.0) pkgconfig(zlib)
BuildRequires: pkgconfig(librevenge-generators-0.0) pkgconfig(librevenge-stream-0.0)

%description
This package provides the ability to interpret and import Microsoft Publisher content into 
various applications. 

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
This package provides libraries and header files for developing applications that use %{name}.

%package tools
Summary: Tools to transform Microsoft Publisher documents into other formats
Requires: %{name} = %{version}-%{release}

%description tools
This package provides tools to transform Microsoft Publisher documents into other formats, such 
as: XHTML, raw.

%prep
%autosetup -p1

%build
%configure --disable-static --disable-silent-rules
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
%make_build

%install
%make_install
rm -f %{buildroot}/%{_libdir}/*.la
rm -rf %{buildroot}/%{_docdir}/%{name}

# man pages
 export LD_LIBRARY_PATH=%{buildroot}%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
 for tool in pub2raw pub2xhtml; do
     help2man -N -S '%{name} %{version}' -o ${tool}.1 %{buildroot}%{_bindir}/${tool}
 done
install -m 0755 -d %{buildroot}/%{_mandir}/man1
install -m 0644 pub2*.1 %{buildroot}/%{_mandir}/man1

%files
%license COPYING.MPL
%doc AUTHORS NEWS README
%{_libdir}/%{name}-%{apiversion}.so.*

%files devel
%license COPYING.MPL
%doc ChangeLog docs/doxygen/html
%{_includedir}/%{name}-%{apiversion}
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc

%files tools
%{_bindir}/pub2raw
%{_bindir}/pub2xhtml
%{_mandir}/man1/pub2raw.1*
%{_mandir}/man1/pub2xhtml.1*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.4-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 23 2022 Wang Guodong <gordonwwang@tencent.com> - 0.1.4-1
- package init.
